@font-face {
    font-family: "NotoSans";
    src: url("../fonts/NotoSans-Regular.woff2") format("woff2");

}

@font-face {
    font-family: "Prompt";
    src: url("../fonts/Prompt-Thin.woff2") format("woff2");

}

@font-face {
    font-family: "MontserratBold";
    src: url("../fonts/Montserrat-Bold.woff2") format("woff2");

}


body {
    font-family: "NotoSans";
    background-color: #6f6b62;
    color: #292929;
    margin: 0;
}



.grid-2,
.grid-3,
.grid-4,
.grid-5,
.grid-6 {
    display: grid;
    grid-gap: 20px;
    padding: 0;
}

.grid-3zero {
    display: grid;
    grid-gap: 20px;
    padding: 0;
    margin: 0;
}

.grid-3x {
    display: grid;
    grid-gap: 20px;
    padding: 0 20px;
    grid-template-columns: repeat(3, 1fr);
}

.grid-4x {
    display: grid;
    grid-gap: 20px;
    padding: 0 20px;
    grid-template-columns: repeat(4, 1fr);
}

.grid-4 {
    grid-template-columns: repeat(2, 1fr);
}

.grid-5 {
    grid-template-columns: repeat(2, 1fr);
}

.grid-6 {
    grid-template-columns: repeat(2, 1fr);
}

.col-2 {
    grid-column: span 2;
}

.col-3 {
    grid-column: span 3;
}

.col-4 {
    grid-column: span 4;
}

.col-all {
    grid-column: span 1/-1;
}

.row-2 {
    grid-row: span 2;
}

.headersocial {

    display: none;

}



#social {

    max-height: 45px;
    max-width: 45px;
    right: 2vw;
    padding: 7px;

}

.myButton {

    box-shadow: 0px 0px 0px 2px #9fb4f2;
    background: transparent;
    background-color: transparent;
    border-radius: 10px;
    border: ;
    display: inline-block;
    cursor: pointer;
    color: transparent;
    font-family: Arial;
    font-size: ;
    padding: 13px 13px;
    text-decoration: none;
    text-shadow: 0px 1px 0px #283966;
}

.myButton:hover {
    background: linear-gradient(to bottom, #476e9e 5%, #7892c2 100%);
    background-color: #476e9e;
}

.myButton:active {
    position: relative;
    top: 1px;
}

#Button_Twitter {
    position: absolute;
    top: 20px;
    margin-left: 10px;

}

#Button_Insta {
    position: absolute;
    top: 65px;
    margin-left: 10px;

}

#Button_Sub {
    position: absolute;
    top: 110px;
    margin-left: 10px;

}

#Button_You {
    position: absolute;
    top: 20px;
    margin-left: 10px;

}

img {
    max-width: 100%;
    position: inherit;
    display: block;
    /* Entfernen des weißen Bereiches am unteren Rand des Bildes */
    margin: 0px;
}

.inline {

    display: inline-block;
}

.separator {
    padding: 0 50px 50px 0;
}

.displaynone {
    display: none;
}

p {
    color: white;
}

.btn {
    display: inline-block;
    /* nur an die kann man padding vergeben */
    padding: 10px 20px;
    text-transform: uppercase;
    font-size: 1em;
    text-decoration: none;

    border-radius: 5px;

    box-shadow: 0 0 3px #333;
    /* Schatten */

    background-color: #ccc;
    /*Hier Buttonfarbe eintragen*/
    color: #292929;
}

.center {

    display: grid;
    text-align: center;
    vertical-align: middle;
    margin: 0 auto;
    align-content: center;
    object-position: center;
    justify-items: center;

}

.center2 {

    display: g rid;
    /* hat den Zeilenabstand zwischen h2 und p riesig gemacht.*/
    text-align: center;
    vertical-align: m iddle;
    /*soll nicht in der Mitte sein*/
    margin: 0 auto;
    align-content: cen ter;
    object-position: center;
    justify-items: c enter;
    /* Dadurch konnte die h2 nicht links angelehnt werden */

}

.center3 {

    display: table;
    text-align: center;
    vertical-align: middle;
    margin: 0 auto;
    align-content: center;
    object-position: center;
    justify-items: center;
}


.left {

    text-align: left;
    object-position: left;
}

.center4 {

    display: flex;
    align-items: center;
    /* Vertikale Ausrichtung */
    justify-content: center;
    /* Horizontale Ausrichtung */
    height: 100%;

}

.center5 {

    display: flex;
    align-items: center;
    /* Vertikale Ausrichtung */
    justify-content: center;
    /* Horizontale Ausrichtung */
    height: 100%;
    flex-direction: column;

}

.padding {
    padding: 15px
}

.border {
    padding: 20px 0px 20px 0px
}

.background-color {

    background-color: burlywood
}


.zero {
    margin: 0;
    padding: 0;

}



#pics {

    max-width: 350px;
    display: block;
    /* Entfernen des weißen Bereiches am unteren Rand des Bildes */
    margin: ;
    object-position: center;
    padding-bottom: 0vw;
}

.paddingbottom {
    padding-bottom: 20px;
}

.max350 {
    max-width: 350px;
}

h1 {

    color: aliceblue
}

#Seitentitel {

    letter-spacing: 0.1em;
}

h2 {

    color: coral;
    border-top: 0px;

}

h3 {
    color: coral;

}

.deconone {

    text-decoration: none
}

.pointer {
    cursor: pointer;
}




/* Navigation */

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
}

.navbar {
    display: flex;
    position: relative;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(34, 24, 34, 0.65);
    color: #BF8DE7;
}

.brand-title {
    font-size: 1.5rem;
    margin: .5rem;
}

.navbar-links {
    height: 100%;
    align-content: center;
}

.navbar-links ul {
    display: flex;
    margin: 0;
    padding: 0;
}

.navbar-links li {
    list-style: none;
}

.navbar-links li a {
    display: block;
    text-decoration: none;
    color: #BF8DE7;
    padding: 1rem;
    line-height: 3;
    letter-spacing: 0.1em;
}

.navbar-links li a:hover {
    display: block;
    text-decoration: none;
    color: white;
    padd ing: 1rem;
    /* gegen die Verschiebung entschieden*/
}

.navbar-links l i:hover {
    background-color: #BF8DE7;
    /* dagegen entschieden, deswegen ist ein Leerzeichen im li */

}

.toggle-button {
    position: absolute;
    top: .75rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.toggle-button .bar {
    height: 3px;
    width: 100%;
    background-color: #BF8DE7;
    border-radius: 10px;
}

@media (max-width: 800px) {
    .navbar {
        flex-direction: column;
        align-items: flex-start;
    }

    .toggle-button {
        display: flex;
    }

    .navbar-links {
        display: none;
        width: 100%;
    }

    .navbar-links ul {
        width: 100%;
        flex-direction: column;
    }

    .navbar-links ul li {
        text-align: center;
    }

    .navbar-links ul li a {
        padding: .5rem 1rem;
    }

    .navbar-links.active {
        display: flex;
    }
}

/*Kontakt*/

#emailcolor {
    color: white;


}

/*about*/


/* dropdown */

.dropdown {
    float: left;
    overflow: hidden;
}

.dropdown .dropbtn {
    font-size: 16px;
    border: none;
    outline: none;
    color: #BF8DE7;
    padding: 8px 16px;
    line-height: 3.3;
    letter-spacing: 0.1em;
    background-color: inherit;
    font-family: inherit;

    margin: 0;
}

.paddingtextabout {
    padding: 0px 20px 0px 20px;
}




.navbar a:hover,
.dropdown:hover .dropbtn {
    color: white;
}


.dropdown-content {
    display: none;
    position: absolute;
    background-color: rgba(21, 7, 21, 0.86);
    align-content: center;
    min-width: 141px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: center;
}

.dropdown-content a:hover {
    background-colo r: #ddd;
    /* wolle mer net S*/
}

.dropdown:hover .dropdown-content {
    display: block;
}

/* Slider */

.slider {
    position: relative;
    width: 100%;
    height: 500px;
    overflow: hidden;

}

.slider img {
    width: 100%;
    height: 470px;
    object-fit: contain;
    transition: opacity 0.5s ease;
    opacity: 0;
    position: absolute;
    top: 20px;
    left: 0;
}

.slider img.active {
    opacity: 1;
}

.slider-buttons {
    position: relative;
    bottom: 0px;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
}

.slider-btn {
    display: inline-block;
    font-size: 24px;
    background: none;
    border: none;
    color: white;
    cursor: pointer;
    outline: none;
    margin: 0 10px;
}

/* Kontakt */

/*datenschutz*/

.maxw {

    max-width: 1000px;
}

.acolor {
    color: rgb(247, 218, 0);
}

/*about*/

#max-width-about {
    max-width: 500px;
}

#pics-about {

    max-width: 100%;
    display: block;
    /* Entfernen des weißen Bereiches am unteren Rand des Bildes */
    margin: ;
    object-position: center;
    padding-bottom: 0vw;
}





/* Tablet + Desktop */
@media(min-width:600px) {

    .grid-2 {
        grid-template-columns: repeat(2, 1fr);
    }

    .grid-3 {
        grid-template-columns: repeat(2, 1fr);
    }

    .grid-4 {
        grid-template-columns: repeat(4, 1fr);
    }

    .grid-5 {
        grid-template-columns: repeat(3, 1fr);
    }

    .grid-6 {
        grid-template-columns: repeat(3, 1fr);
    }

    .grid-3zero {
        grid-template-columns: repeat(1, 1fr);
        display: grid;
        grid-gap: 20px;
        padding: 0;
        margin: 0;
    }

    .headersocial2 {

        display: bloc k;
        margin-left: em;
    }

    #pics-about {

        max-width: 500px;
        display: block;
        /* Entfernen des weißen Bereiches am unteren Rand des Bildes */
        margin: ;
        object-position: center;
        padding-bottom: 0vw;
    }

    .paddingtextabout {
        padding: 0px 0px 0px 0px;
    }



}

/* Desktop */
@media(min-width:1024px) {

    .grid-2,
    .grid-3,
    .grid-4,
    .grid-5,
    .grid-6 {
        max-width: 1280px;
        margin: 0 auto;
    }

    .grid-3 {
        grid-template-columns: repeat(3, 1fr);
    }

    .grid-3zero {
        grid-template-columns: repeat(3, 1fr);
        display: grid;
        grid-gap: 20px;
        padding-top: 10px;
        padding-bottom: 10px;
        margin: 0;
    }

    .grid-5 {
        grid-template-columns: repeat(5, 1fr);
    }

    .grid-6 {
        grid-template-columns: repeat(6, 1fr);
    }

    .headersocial {

        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .headersocial a {

        display: inline-block;
        margin-left: 2em;
    }

    .headersocial2 {

        display: none;
        margin-left: 2em;
    }

    .separator {
        padding: 0 50px 50px 0;
    }

    .top {
        padding-top: 30px;
    }

    .navbar {
        position: sticky;
        top: 0;
        z-index: 100;
    }

    .displaydesk {
        display: contents;
    }

}
